OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPLCAF
PDataStd

# PDataStd_VArrayNodeOfFieldOfHArray1OfByte Class Reference

`#include <PDataStd_VArrayNodeOfFieldOfHArray1OfByte.hxx>`

Inheritance diagram for PDataStd_VArrayNodeOfFieldOfHArray1OfByte:

[legend]

## Public Member Functions
Standard_EXPORT | PDataStd_VArrayNodeOfFieldOfHArray1OfByte ()
Standard_EXPORT | PDataStd_VArrayNodeOfFieldOfHArray1OfByte (const Standard_Byte &aValue)
Standard_EXPORT void | SetValue (const Standard_Byte &aValue)
Standard_EXPORT Standard_Address | Value () const
| PDataStd_VArrayNodeOfFieldOfHArray1OfByte (const Storage_stCONSTclCOM &a)
Standard_Byte | _CSFDB_GetPDataStd_VArrayNodeOfFieldOfHArray1OfBytemyValue () const
void | _CSFDB_SetPDataStd_VArrayNodeOfFieldOfHArray1OfBytemyValue (const Standard_Byte p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Standard_Byte | myValue

## Constructor & Destructor Documentation

Standard_EXPORT PDataStd_VArrayNodeOfFieldOfHArray1OfByte::PDataStd_VArrayNodeOfFieldOfHArray1OfByte | ( |  | ) |

Standard_EXPORT PDataStd_VArrayNodeOfFieldOfHArray1OfByte::PDataStd_VArrayNodeOfFieldOfHArray1OfByte | ( | const Standard_Byte & | aValue | ) |

PDataStd_VArrayNodeOfFieldOfHArray1OfByte::PDataStd_VArrayNodeOfFieldOfHArray1OfByte | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_Byte PDataStd_VArrayNodeOfFieldOfHArray1OfByte::_CSFDB_GetPDataStd_VArrayNodeOfFieldOfHArray1OfBytemyValue | ( |  | ) | const`[inline]`

void PDataStd_VArrayNodeOfFieldOfHArray1OfByte::_CSFDB_SetPDataStd_VArrayNodeOfFieldOfHArray1OfBytemyValue | ( | const Standard_Byte | p | ) | `[inline]`

Standard_EXPORT const PDataStd_VArrayNodeOfFieldOfHArray1OfByte::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PStandard_ArrayNode.

Standard_EXPORT void PDataStd_VArrayNodeOfFieldOfHArray1OfByte::SetValue | ( | const Standard_Byte & | aValue | ) |

Standard_EXPORT Standard_Address PDataStd_VArrayNodeOfFieldOfHArray1OfByte::Value | ( |  | ) | const

## Field Documentation

Standard_Byte PDataStd_VArrayNodeOfFieldOfHArray1OfByte::myValue`[private]`

The documentation for this class was generated from the following file:

- PDataStd_VArrayNodeOfFieldOfHArray1OfByte.hxx